<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

  

  
  class MenuEinstellTool12 extends MenuEinstell
  {
    public $file = 'writecolumnstool12.php';

    
    protected function _getSights()
    {
      $result = array();

      $sightIds = array(
           54 => 'Übersicht Dozenten',
           57 => 'Reiter Dozentendetails',
          397 => 'Reiter zu einem Dozenten',
          398 => 'Reiter Termine',
          399 => 'Reiter Kurse',
          400 => 'Reiter Fotos',
          402 => 'Details Dozenten',
          403 => 'Druck von Teilnehmerlisten',
          404 => 'Druck von Listen',
          405 => 'Druck von Honorarlisten',
          406 => 'Druck von Grafiken',
          407 => 'Druck von Verträgen'
          );

      foreach ($sightIds as $sightId => $description) {
        $result[] = $this->_createSightObj($sightId, \ToolsAPI::TOOL_DOZENTENINFO_MA, $description);
      }

      return $result;
    }

    public function mainmenu($pEinstieg, $editid, $p_sightid)
    {
      
      if ($pEinstieg == 1) {
        $this->getUebersichtEinstell(SessionOperations::getVarValueIntern('menutext'));
      } else { 

        echo"
        <table border='0' cellpadding='0' cellspacing='5' height='100%' width='100%'>
          <tr>
            <td valign='top' width='100%' height='5%'>
              <p align='right'><font id='text_basys_webtools'>" . KUFERTOOLS . '</font></p>
            </td>
          </tr>
        </table>
        ';

        $curr_caption = $this->_getSightDescription($p_sightid);

        switch ($p_sightid) {
          case 54: 

            echo '<h2>Einstellungen zum Tool Dozenteninfo - Dozentenübersicht</h2>';
            $allgsettings = AllgSettingsAPI::getAllgSettings();
            
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_DOZENTENINFO_MA);
            $arycheck = $this->getArrayCheck4Personen($objsettings, 'doz', true);

            echo'
            ' . BR_WT . BR_WT . BR_WT . "
            <form action='writecolumnstool12.php' method='POST'>
             <input type='hidden' value='Sort_Stat_DOZ' name='art'>
             <input type='hidden' value='" . \ToolsAPI::TOOL_DOZENTENINFO_MA . "' name='tool'>
             <input type='hidden' value='" . CleanOperations::cleanInt($p_sightid) . "' name='sightid'>
             <input type='hidden' value='" . CleanOperations::cleanStringForHtml($this->gruppe) . "' name='gruppe'>
              <table border='0' cellpadding='0' cellspacing='0' width='100%'>
              <tr>
                <td width='17%' valign='top'>
                  <font class='text_main_menu'><b>angezeigte Dozenten pro Seite:</b></font>
                </td>
                <td width='83%' colspan='2' valign='top'>"
                  . HTMLOperations::CreateInputTagPlusMinus('datensaetzeproseite', '', 'bigger-null', $objsettings->datensaetzeproseite, 'size="3"')
                  . BR_WT . BR_WT . '
                </td>
              </tr>';
            echo $this->getPersonSortierungSubMenu($arycheck, 'doz', true);
              echo'<tr>
                <td>' . BR_WT . BR_WT
                  . 'Teilnehmerberechtigungen für die Mitarbeiter vergeben: </b></font>' . BR_WT;
               
              echo"
              <font class='text_main_menu'>Bereichsrechte für die Dozentenauswahl benutzen:</font>"
              . "<input type='checkbox' name='useBereichsRechte' value='true' "
              . ($objsettings->useBereichsRechte == true ? 'checked' : '') . '>'
              . ' </td>
              </tr>';
            echo'
              <tr>
                <td>
                  ' . BR_WT . BR_WT . "<input type='image' title='Speichern' src='layout/button_save.gif' border='0'>
                </td>
              </tr>
             </table>
            </form>";
           echo '<hr><h2>Layout-Einstellungen zum Tool "Dozenteninfo" (bzw. Adressdaten) - Dozentenübersicht -</h2>';
            if (SessionOperations::isReplikat() && !$allgsettings->dmzEnabled) {
              $message = $this->getDMZHinweis4Dozent();
              echo $this->getHinweis4DMZ($message['messageComplete'], $message['messageShort']);
            }
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 790, 80));
            break;


          case 57: 

            
            
            echo '<h2>Einstellungen zum Tool Dozenteninfo - Reiter Dozentendetails</h2>';
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 780, 380));
            break;


          case 397: 
            $objsettings = ToolSettingsAPI::getToolSettings(\ToolsAPI::TOOL_DOZENTENINFO_MA);
            echo $this->getSettings4ReiterSeite(\ToolsAPI::TOOL_DOZENTENINFO_MA, $p_sightid, 'reiter_seite', $objsettings->reiterBeschriftung);
            break;

          case 398: 
            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_DOZENTENINFO_MA, $p_sightid, $this->file);
            $this->mainmenuCenter(\ToolsAPI::TOOL_DOZENTENINFO_MA, $editid, $p_sightid, $this->file);
            break;

          case 399: 
            $this->mainmenuTop($curr_caption, \ToolsAPI::TOOL_DOZENTENINFO_MA, $p_sightid, $this->file);
            $this->mainmenuCenter(\ToolsAPI::TOOL_DOZENTENINFO_MA, $editid, $p_sightid, $this->file);
            break;

          case 400: 
            echo $this->noSettingsWithText(
              'Für die Ausgabe der Fotos zum Dozenten sind derzeit keine Einstellungen möglich. '
            );
            break;

          case 402: 

            echo '<h2>Einstellungen für die Anzeige der Dozentendetails im Tool Dozenteninfo</h2>';
            echo '<p>Diese Einstellungen sind relevant für den Dialog zum Einfügen eines neuen Dozenten und den
                     den Dialog zum Bearbeiten von Dozentendaten.</p>' . BR;
            $this->_configureSight($p_sightid, new SightConfiguratorUebersicht($p_sightid, 780, 380));
            break;


          case 403: 
              $tnlisten = new TNListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_DOZENTENINFO_MA, \ToolsAPI::TOOL_DOZENTENINFO_MA, $p_sightid, true);
              $tnlisten->show();
              break;

          case 404: 
                  $drucklisten = new DruckListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_DOZENTENINFO_MA, \ToolsAPI::TOOL_DOZENTENINFO_MA, $p_sightid, true);
              $drucklisten->show();
              break;

          case 405: 
                $drucklisten = new HonorarDruckListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_DOZENTENINFO_MA, \ToolsAPI::TOOL_DOZENTENINFO_MA, $p_sightid, true);
              $drucklisten->show();
              break;

          case 406: 
                $drucklisten = new GrafikDruckListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_DOZENTENINFO_MA, \ToolsAPI::TOOL_DOZENTENINFO_MA, $p_sightid, true);
              $drucklisten->show();
              break;
          case 407: 
                $drucklisten = new OtherDruckListen('hleinstell.php?sightid=' . CleanOperations::cleanInt($p_sightid) . '&tool=' . \ToolsAPI::TOOL_DOZENTENINFO_MA, \ToolsAPI::TOOL_DOZENTENINFO_MA, $p_sightid, true);
              $drucklisten->show();
              break;

        } 
      } 
    }

    
  }